<!DOCTYPE html>
<html>    
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // ===============================
 // --- on récupère les données ---
 // ===============================
 $Saisie_Mixte   = $_POST['Saisie_Mixte']   ;               
 // =============================
 // --- on traite les données ---
 // =============================
 // ---------------------------------------------
 // --- Traitement d'une liste données mixtes ---
 // ---------------------------------------------
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $Saisie_Mixte=trim($Saisie_Mixte);
 // remplace les espaces multiples par un seul espace
 $Saisie_Mixte= preg_replace('/\s{2,}/',' ',$Saisie_Mixte);
 // remplace ; suivi d'un espace par ;
 $Saisie_Mixte= preg_replace('/;\s/',';',$Saisie_Mixte);
 // remplace un espace suivi d'un ; par ;
 $Saisie_Mixte= preg_replace('/\s;/',';',$Saisie_Mixte);
 // rangement dans le tableau
 // rangement dans le tableau associatif
 list($une_personne['Nom'],$une_personne['Prenom'],$une_personne['Age'])=explode(';',$Saisie_Mixte);
 echo '--- Affichage de $une_personne ---'.WEB_EOL;
 print_r($une_personne) ;
 echo WEB_EOL;
 ?>
 </body>
</html>
